Window

- « UI\Size::setWidth

- UI\Window::add »

- PHP Manual
- UI
- Window

# Window

(UI 0.9.9)

## Introduction

Represents a UI Window

## Class synopsis

class UI\Window extends UI\Control {
/* Properties */
protected $controls;
/* Constructor */
public __construct(string `$title`, Size `$size`, bool `$menu` = `false`)
/* Methods */
public add(UI\Control `$control`)
public error(string `$title`, string `$msg`)
public getSize(): UI\Size
public getTitle(): string
public hasBorders(): bool
public hasMargin(): bool
public isFullScreen(): bool
public msg(string `$title`, string `$msg`)
protected onClosing(): int
public open(): string
public save(): string
public setBorders(bool `$borders`)
public setFullScreen(bool `$full`)
public setMargin(bool `$margin`)
public setSize(UI\Size `$size`)
public setTitle(string `$title`)
/* Inherited methods */
public UI\Control::destroy()
public UI\Control::disable()
public UI\Control::enable()
public UI\Control::getParent(): UI\Control
public UI\Control::getTopLevel(): int
public UI\Control::hide()
public UI\Control::isEnabled(): bool
public UI\Control::isVisible(): bool
public UI\Control::setParent(UI\Control `$parent`)
public UI\Control::show()
}

## Properties

controls

  Contains controls, should not be manipulated directly

## Table of Contents

- UI\Window::add — Add a Control
- UI\Window::__construct — Construct a new Window
- UI\Window::error — Show Error Box
- UI\Window::getSize — Get Window Size
- UI\Window::getTitle — Get Title
- UI\Window::hasBorders — Border Detection
- UI\Window::hasMargin — Margin Detection
- UI\Window::isFullScreen — Full Screen Detection
- UI\Window::msg — Show Message Box
- UI\Window::onClosing — Closing Callback
- UI\Window::open — Open Dialog
- UI\Window::save — Save Dialog
- UI\Window::setBorders — Border Use
- UI\Window::setFullScreen — Full Screen Use
- UI\Window::setMargin — Margin Use
- UI\Window::setSize — Set Size
- UI\Window::setTitle — Window Title